Subject: Re: [PATCH v2 net-next] net: usb: remove unnecessary get_drvinfo code and driver versions

From: Andy Shevchenko <[email-masked]>
Date: Sat, 24 Jan 2026 15:22:12 +0200

On Sat, Jan 24, 2026 at 02:19:45AM -0800, Ethan Nelson-Moore wrote:
> Many USB network drivers define get_drvinfo functions which add no
> value over usbnet_get_drvinfo, only setting the driver name and
> version. usbnet_get_drvinfo automatically sets the driver name, and
> separate driver versions are now frowned upon in the kernel. Remove all
> driver versions and replace these get_drvinfo functions with references
> to usbnet_get_drvinfo where possible. Where that is not possible,
> remove unnecessary code to set the driver name. Also remove two
> unnecessary initializations from aqc111_get_drvinfo, an inaccurate
> comment in pegasus.c, and an unused macro in catc.c.

There are three problems with this version:
1) you haven't taken my tag, why?
2) there is no changelog to understand what's going on;
3) the v2 was sent too quickly (usually should be 24h+ between the versions).

-- 
With Best Regards,
Andy Shevchenko